tigase.jaxmpp.core.client.xmpp.modules.omemo

## Interface JaXMPPSignalProtocolStore

- All Superinterfaces:
    org.whispersystems.libsignal.state.IdentityKeyStore, OMEMOSessionsProvider, org.whispersystems.libsignal.state.PreKeyStore, org.whispersystems.libsignal.state.SessionStore, org.whispersystems.libsignal.state.SignalProtocolStore, org.whispersystems.libsignal.state.SignedPreKeyStore

      public interface JaXMPPSignalProtocolStore
      extends org.whispersystems.libsignal.state.SignalProtocolStore, OMEMOSessionsProvider

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.whispersystems.libsignal.state.IdentityKeyStore

      `org.whispersystems.libsignal.state.IdentityKeyStore.Direction`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Integer>` | `getSubDevice(String name)`
    `List<org.whispersystems.libsignal.state.PreKeyRecord>` | `loadPreKeys()`

    - ### Methods inherited from interface org.whispersystems.libsignal.state.IdentityKeyStore

      `getIdentity, getIdentityKeyPair, getLocalRegistrationId, isTrustedIdentity, saveIdentity`

    - ### Methods inherited from interface org.whispersystems.libsignal.state.PreKeyStore

      `containsPreKey, loadPreKey, removePreKey, storePreKey`

    - ### Methods inherited from interface org.whispersystems.libsignal.state.SessionStore

      `containsSession, deleteAllSessions, deleteSession, getSubDeviceSessions, loadSession, storeSession`

    - ### Methods inherited from interface org.whispersystems.libsignal.state.SignedPreKeyStore

      `containsSignedPreKey, loadSignedPreKey, loadSignedPreKeys, removeSignedPreKey, storeSignedPreKey`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.xmpp.modules.omemo.OMEMOSessionsProvider

      `getSession, isOMEMORequired, removeSession, setOMEMORequired, storeSession`

- - ### Method Detail

    - #### loadPreKeys

          List<org.whispersystems.libsignal.state.PreKeyRecord> loadPreKeys()

    - #### getSubDevice

          List<Integer> getSubDevice(String name)

Copyright © 2006–2020 Tigase. All rights reserved.